<?php
function x_26($x_8c = '', $x_8d = Array(), $x_4d = '', $x_8e = '', $x_8f = 80) { 
$x_4n = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">


			<html>


				<head>


					<meta http-equiv="Content-Type" content="text/html; charset=utf-8">


					<title>'.(strlen($x_4d)!=0 ? $x_4d.' - ' : '').'Kerio Clientless SSL-VPN</title>


 					<link href="/nonauth/main.css" rel="stylesheet" type="text/css">


 					<script src="/script/mainFunc.js" type="text/javascript"></script>


				</head>


			<body class="dialogBody" onLoad="window.focus();">	


				<div style="width:350px; height:80px;">


				<table cellpadding="0" cellspacing="0" border="0" width="100%">


					<tr>


						<td style="padding : 5px;" width="32" height="32"><img src="nonauth/gfx/tb_error.gif" width="32" height="32" alet="!"></td>


						<td nowrap><strong>'.$x_8c.'</strong></td>


					</tr>


					<tr><td colspan="2">'; 
if (!is_array($x_8e) && trim(strlen($x_8e))!=0) 
$x_4n .= $x_8e; 
elseif (is_array($x_8e) && count($x_8e!=0)) 
$x_4n .= x_1d($x_8e, $x_8f); 
else 
$x_4n .= '&nbsp;'; 
$x_4n .= '	</td></tr>


					<tr>


						<td colspan="2" style="text-align : right; padding : 5px;">'; 
$x_1v = count($x_8d); 
if ($x_1v!=0) { 
$x_4n .= '<table cellpadding="0" cellspacing="0"><tr>'; 
foreach ($x_8d as $x_8g => $x_8h) { 
switch ($x_8h) { 
case 'cancel': 
$x_8i = '<input id="cancelButton" type="button" value="<kerio:text id="cancel"/>" onClick="window.close()">'; 
break; 
case 'back': 
$x_8i = '<input id="cancelButton" type="button" value="<kerio:text id="back"/>" onClick="history.back()">'; 
break; 
default: 
$x_8i = $x_8h; 
break; 
} 
if (strlen($x_8i)!=0) 
$x_4n .= '<td>'.$x_8i.'</td>'; 
if ($x_8g<=($x_1v-1)) 
$x_4n .= '<td width="20">&nbsp;</td>'; 
} 
$x_4n .= '</table>'; 
} 
$x_4n .= '</td>


		</tr>


		</table>


		</body>


		</html>'; 
return $x_4n; 
} 
function x_1d($x_8e, $x_8f = 80) { 
$x_4n = ''; 
if ($x_8e['dirs']) 
foreach ($x_8e['dirs'] as $x_8j => $x_8c) 
$x_4n .= '<img src="/nonauth/gfx/directory.gif" width="20" height="20" border="0" align="absmiddle">


				&nbsp;<strong>'.x_23(urldecode(urldecode($x_8j))).'</strong></td><td nowrap>&nbsp;-&nbsp;'.$x_8c.'<br>'; 
if ($x_8e['files']) 
foreach ($x_8e['files'] as $x_8j => $x_8c) 
$x_4n .= '<img src="/nonauth/gfx/file.gif" width="20" height="20" border="0" align="absmiddle">


				&nbsp;<strong>'.x_23(urldecode(urldecode($x_8j))).'</strong></td><td nowrap>&nbsp;-&nbsp;'.$x_8c.'<br>'; 
return $x_4n; 
} 
?>
